Problems upgrading 3.0.12 to 3.2.2 with Postgresql

I upgraded from 3.0.12 to 3.2.2 and I’m having trouble with Postgresql.
Here’s the error message in the Postgres logs:

ERROR: current transaction is aborted, commands ignored until end of transaction block

I also seem to have some:

ERROR: relation “attributes” does not exist

But I’m not sure if that’s related to the current issue. I did check
UPGRADING and there was no mention of database formats changing.

This seems to happen whenever I try to modify data - viewing on the
whole seems to be ok, but again that could just be coincidence. Creating
a new ticket makes httpd spin with the following given with truss:

send(5, 0x01BFC718, 175, 0) = 175
Q\0\0\0AE

         S E L E C T   m a i n . *   F R O M   A t t r i b u t

e s m a i n W H E R E ( ( m a i n . O b j e c t I d =
2 4 5 1 ) ) A N D ( ( m a i n . O b j e c t T y p e = '
R T : : T i c k e t ’ ) ) \0
sigaction(SIGPIPE, 0xFFBFE870, 0xFFBFE990) = 0
poll(0xFFBFEAC8, 1, -1) = 1
recv(5, 0x01BF8710, 16384, 0) = 143
E\0\0\088 S E R R O R\0 C 2 5 P 0 2\0 M c u r r e n t t r a n
s a c t i o n i s a b o r t e d , c o m m a n d s i g n
o r e d u n t i l e n d o f t r a n s a c t i o n b l
o c k\0 F p o s t g r e s . c\0 L 7 9 5\0 R e x e c _ s i m p l
e _ q u e r y\0\0 Z\0\0\005 E
time() = 1101225335
write(6, 0x01DE769C, 299) = 299
[ T u e N o v 2 3 1 5 : 5 5 : 3 5 2 0 0 4 ] [ w a r n
i n g ] : D B D : : P g : : s t e x e c u t e f a i l e d
: E R R O R : c u r r e n t t r a n s a c t i o n i s
a b o r t e d , c o m m a n d s i g n o r e d u n t i l
e n d o f t r a n s a c t i o n b l o c k a t / u s
r / l o c a l / p a c k a g e s / p e r l - 5 . 8 . 5 / l i b /
p e r l 5 / s i t e _ p e r l / 5 . 8 . 5 / D B I x / S e a r c
h B u i l d e r / H a n d l e . p m l i n e 4 8 1 .\n ( /
u s r / l o c a l / p a c k a g e s / r t - 3 . 2 . 2 / l i b /
R T . p m : 2 6 9 )\n
time() = 1101225335
write(6, 0x01DE769C, 347) = 347
[ T u e N o v 2 3 1 5 : 5 5 : 3 5 2 0 0 4 ] [ w a r n
i n g ] : R T : : H a n d l e = H A S H ( 0 x 1 9 f 0 a 3 8 )
c o u l d n ’ t e x e c u t e t h e q u e r y ’ S E L
E C T m a i n . * F R O M A t t r i b u t e s m a i n
W H E R E ( ( m a i n . O b j e c t I d = 2 4 5 1 ) )
A N D ( ( m a i n . O b j e c t T y p e = ’ R T : : T i
c k e t ’ ) ) ’ a t / u s r / l o c a l / p a c k a g e s
/ p e r l - 5 . 8 . 5 / l i b / p e r l 5 / s i t e _ p e r l /
5 . 8 . 5 / D B I x / S e a r c h B u i l d e r / H a n d l e .
p m l i n e 4 9 5 .\n ( / u s r / l o c a l / p a c k a g
e s / r t - 3 . 2 . 2 / l i b / R T . p m : 2 6 9 )\n

Sorry that’s not very easy to read, but it conveys where the problem is.
Any pointers on how to fix this?

Cheers,
Tim.

Tim Bishop
http://www.bishnet.net/tim
PGP Key: 0x5AE7D984

Please read README file, section upgrade.

Search lists archives
http://wiki.bestpractical.com/index.cgi?MailingListArchives

Tim Bishop wrote:

Please read README file, section upgrade.

Thanks - I should have read that more carefully. I skimmed it and it
seemed like install instructions, which I already have scripted. I read
UPGRADING carefully, which is where I expected stuff like this to be.

Sorry for the noise :slight_smile:

Tim.

Tim Bishop
http://www.bishnet.net/tim
PGP Key: 0x5AE7D984